package com.hzs.bonus.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.member.base.CuMember;
import com.hzs.common.domain.member.detail.CuMemberAwards;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 会员 服务类
 */
public interface ICuMemberService extends IService<CuMember> {

    CuMember getByPkId(Serializable id);
    /**
     * 更新会员奖衔根据临时表 -- 日结
     */
    void updateCuMemberRetailRangeByPeriod(Integer period);

    /**
     * 更新会员奖衔根据临时表
     *
     * @param cuMemberAwardsList 修改奖衔的会员
     */
    void updateCuMemberRetailRangeByList(List<CuMemberAwards> cuMemberAwardsList, Integer period);

    /**
     * 更新会员奖衔根据临时表
     *
     * @param cuMemberAwardsList 修改奖衔的会员
     */
    void updateCuMemberMinAwardsByList(List<CuMemberAwards> cuMemberAwardsList, Integer period);

    /**
     * 更新会员奖衔根据临时表
     */
    void updateBackCuMemberRetailRangeAward(Integer period);

    /**
     * 更新会员奖衔根据临时表
     */
    void updateCuMemberRetailRangeAwardByDate(Date settleDate);

    /**
     * 初始化会员奖衔表
     */
    void updateCuMemberRetailRangeInitAward();

}
